import * as codedeploy from '../../../aws-codedeploy';
import * as codepipeline from '../../../aws-codepipeline';
import { Action } from '../action';
import { Construct } from 'constructs';
/**
 * Construction properties of the {@link CodeDeployServerDeployAction CodeDeploy server deploy CodePipeline Action}.
 *
 * @stability stable
 */
export interface CodeDeployServerDeployActionProps extends codepipeline.CommonAwsActionProps {
    /**
     * The source to use as input for deployment.
     *
     * @stability stable
     */
    readonly input: codepipeline.Artifact;
    /**
     * The CodeDeploy server Deployment Group to deploy to.
     *
     * @stability stable
     */
    readonly deploymentGroup: codedeploy.IServerDeploymentGroup;
}
/**
 * @stability stable
 */
export declare class CodeDeployServerDeployAction extends Action {
    private readonly deploymentGroup;
    /**
     * @stability stable
     */
    constructor(props: CodeDeployServerDeployActionProps);
    /**
     * This is a renamed version of the {@link IAction.bind} method.
     *
     * @stability stable
     */
    protected bound(_scope: Construct, _stage: codepipeline.IStage, options: codepipeline.ActionBindOptions): codepipeline.ActionConfig;
}
